<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules|About Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Your local version of Metasploit Pro has a copy of the Metasploit Framework, which contains most of the modules that the exploit database contains." /><title>Modules Directory</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/modules-directory.html">Open topic with navigation</a>
        </p>
        <h2>Modules Directory</h2>
        <p>Your local version of <span class="VariablesProductName">Metasploit Pro</span> has a copy of the Metasploit Framework, which contains most of the modules that the <a name="kanchor37"></a>exploit database contains. If you want to review the modules that are available on your local machine, you can browse to<code> $INSTALL/metasploit/msf3/modules</code>. </p>
        <p>The modules are categorized by type first and by protocol next. For example, you can find FTP fuzzers in the following location: <code>$INSTALL/metasploit/msf3/modules/auxiliary/fuzzers/ftp</code>.</p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="About Modules|about-modules.html||How do I add a module to Metasploit?|../19-faqs/faq-add-modules.html||Modules Excluded from Metasploit Pro|excluded-modules.html||Searching for Modules|searching-modules.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>